# Get account

Get account by its identifier (public key or account hash)

```
GET /accounts/{account_identifier}
```

## Query params

None

## Sorting

None

## Optional properties

| Property                   | Type                                                                                        | Description                                                                                                 |
| -------------------------- | ------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| `auction_status`           | `string`                                                                                    | Account auction status: `inactive_bidder`, `active_bidder`, `active_validator`, `pending_validator`         |
| `delegated_balance`        | `uint64`                                                                                    | Total funds delegated across all validators                                                                 |
| `staked_balance`           | `uint64`                                                                                    | Total funds staked as validator                                                                             |
| `undelegating_balance`     | `uint64`                                                                                    | Total undelegated funds that will be returned to the account main purse after the 7 era lockdown period     |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/1.3.x/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the account owner |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/1.3.x/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                                |
| `cspr_name`                | `string`                                                                                    | Primary CSPR.name of the account                                                                            |

## Response

[`Account`](https://docs.cspr.cloud/1.3.x/rest-api/account)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/accounts/0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "account_hash": "fa12d2dd5547714f8c2754d418aa8c9d59dc88780350cb4254d622e2d4ef7e69",
    "balance": 1325092768520378,
    "main_purse_uref": "uref-bb9f47c30ddbe192438fad10b7db8200247529d6592af7159d92c5f3aa7716a1-007",
    "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca"
  }
}
```
